#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Library for pixel-format agnosticism
Summary(pl.UTF-8):	Biblioteka niezależności od formatu piksela
Name:		babl
Version:	0.1.58
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	https://download.gimp.org/pub/babl/0.1/%{name}-%{version}.tar.bz2
# Source0-md5:	1de616f0f0b7528f09874ff58ee162ac
URL:		http://www.gegl.org/babl/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.11
BuildRequires:	libtool >= 2:2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Babl is a dynamic, any to any, pixel format conversion library. It
provides conversions between the myriad of buffer types images can be
stored in. Babl doesn't only help with existing pixel formats, but
also facilitates creation of new and uncommon ones.

%description -l pl.UTF-8
Babl to biblioteka dynamicznych przekształceń między dowolnymi
formatami pikseli. Udostępnia konwersje między wieloma różnymi typami
buforów obrazów. Babl nie tylko pomaga przy istniejących formatach
pikseli, ale także ułatwia tworzenie nowych i niestandardowych.

%package devel
Summary:	Header files for babl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki babl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for babl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki babl.

%package static
Summary:	Static babl library
Summary(pl.UTF-8):	Statyczna biblioteka babl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static babl library.

%description static -l pl.UTF-8
Statyczna biblioteka babl.

%package -n vala-babl
Summary:	Vala API for babl library
Summary(pl.UTF-8):	API języka Vala dla biblioteki babl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala

%description -n vala-babl
Vala API for babl library.

%description -n vala-babl -l pl.UTF-8
API języka Vala dla biblioteki babl.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# dlopened modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/babl-0.1/*.la
%if %{with static_libs}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/babl-0.1/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_libdir}/libbabl-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbabl-0.1.so.0
%dir %{_libdir}/babl-0.1
%attr(755,root,root) %{_libdir}/babl-0.1/*.so

%files devel
%defattr(644,root,root,755)
%doc docs/{*.html,*.css}
%attr(755,root,root) %{_libdir}/libbabl-0.1.so
%{_libdir}/libbabl-0.1.la
%{_includedir}/babl-0.1
%{_pkgconfigdir}/babl.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbabl-0.1.a
%endif

%if 0
%files -n vala-babl
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/babl-0.1.vapi
%endif
%changelog
* Wed Oct 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/babl.git;a=log;h=master

* Wed Oct 24 2018 Adam Gołębiowski <adamg@pld-linux.org> 518c4a5
- updated to 0.1.58

* Sat Jul 07 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fa6e0c1
- up to 0.1.52

* Mon May 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5348c4e
- up to 0.1.50

* Tue Apr 24 2018 Jan Palus <atler@pld-linux.org> 871018e
- up to 0.1.46

* Thu Mar 22 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 9adfa92
- Update to 0.1.44

* Mon Jan 01 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 104dc1b
- Update to 0.1.38

* Sun Sep 17 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 096b147
- up to 0.1.30

* Sun Jul 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 7a038ac
- updated to 0.1.28

* Sat Feb 25 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 4842216
- Update to 0.1.24

* Sun Jan 29 2017 Jakub Bogusz <qboosh@pld-linux.org> dbdee06
- updated to 0.1.22

* Tue Sep 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 897a732
- updated to 0.1.18

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 736775a
- updated to 0.1.16

* Sun Nov 22 2015 Jakub Bogusz <qboosh@pld-linux.org> ffe852f
- updated to 0.1.14

* Fri Jun 26 2015 Jakub Bogusz <qboosh@pld-linux.org> bb114a7
- updated to 0.1.12
- removed outdated gir-fix patch (introspection support has been dropped)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> d1d38ec
- x32 rebuild
- release 2 (by relup.sh)

* Sat Aug 30 2014 Jakub Bogusz <qboosh@pld-linux.org> e921c3a
- http URL

* Thu May 03 2012 Jan Rękorajski <baggins@pld-linux.org> a37508f
- rel 1
- disabled introspection and vala as they're still broken and no sign of fix upstream

* Thu Apr 19 2012 Jakub Bogusz <qboosh@pld-linux.org> b95be14
- dropped elfutils-devel BR (caused by broken glib2 build)

* Wed Apr 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 8049a7f
- completed previous changelog entry

* Wed Apr 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 30b4c98
- fixed auto* regeneration
- added gir-fix patch from babl git (but it's not enough)
- added introspection bcond; now builds without it, it seems that g-ir-scanner or annotations are broken

